Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.cp.client
Interface SCPCfgConst

All Superinterfaces:
  ConfigConstants

    public interface SCPCfgConst

extends ConfigConstants

Field Summary
`static java.lang.String` | `C_P_FW_HOST`
`static java.lang.String` | `C_P_FW_LOGIN`
`static java.lang.String` | `C_P_FW_PASSWD`
`static java.lang.String` | `C_P_FW_PORT`
`static java.lang.String` | `C_P_FW_SOC_ON`
`static java.lang.String` | `C_P_FW_SOC_VER`
`static java.lang.String` | `C_P_SCP_AUTH_TYPE`
`static java.lang.String` | `C_P_SCP_DO_KEY_VERIF`
`static java.lang.String` | `C_P_SCP_HOST`
`static java.lang.String` | `C_P_SCP_KEY_LOC`
`static java.lang.String` | `C_P_SCP_KEY_PASSWD`
`static java.lang.String` | `C_P_SCP_LOGIN`
`static java.lang.String` | `C_P_SCP_PASSWD`
`static java.lang.String` | `C_P_SCP_PORT`
`static java.lang.String` | `C_P_SCP_PREFERRED_KEY_ALG`
`static java.lang.String` | `C_P_SCP_R_HOST`
`static java.lang.String` | `C_P_SCP_SVR_KEY_FILE`
`static java.lang.String` | `P_GEN_CONN_MODE`
`static java.lang.String` | `P_SCP_LDIR`
`static java.lang.String` | `P_SCP_LFILE`
`static java.lang.String` | `P_SCP_RDIR`
`static java.lang.String` | `P_SCP_RECUR`
`static java.lang.String` | `P_SCP_RFILE`
`static java.lang.String` | `P_SYN_SYNC`
`static java.lang.String` | `S_FIREWALL`
`static java.lang.String` | `S_GEN_SETTINGS`
`static java.lang.String` | `S_SCP`
`static java.lang.String` | `S_SYN`

Fields inherited from interface com.stc.connector.batchadapter.ConfigConstants
`CONNRETRY_INTERVAL, CONNRETRY_MAXRETRIES, PRE_POST_CMD_COPY, PRE_POST_CMD_DELETE, PRE_POST_CMD_NONE, PRE_POST_CMD_RENAME`

Field Detail

### S_SCP

    static final java.lang.String S_SCP

See Also:
  Constant Field Values

### S_GEN_SETTINGS

    static final java.lang.String S_GEN_SETTINGS

See Also:
  Constant Field Values

### S_FIREWALL

    static final java.lang.String S_FIREWALL

See Also:
  Constant Field Values

### S_SYN

    static final java.lang.String S_SYN

See Also:
  Constant Field Values

### C_P_SCP_HOST

    static final java.lang.String C_P_SCP_HOST

See Also:
  Constant Field Values

### C_P_SCP_PORT

    static final java.lang.String C_P_SCP_PORT

See Also:
  Constant Field Values

### C_P_SCP_LOGIN

    static final java.lang.String C_P_SCP_LOGIN

See Also:
  Constant Field Values

### C_P_SCP_PASSWD

    static final java.lang.String C_P_SCP_PASSWD

See Also:
  Constant Field Values

### C_P_FW_HOST

    static final java.lang.String C_P_FW_HOST

See Also:
  Constant Field Values

### C_P_FW_PORT

    static final java.lang.String C_P_FW_PORT

See Also:
  Constant Field Values

### C_P_FW_LOGIN

    static final java.lang.String C_P_FW_LOGIN

See Also:
  Constant Field Values

### C_P_FW_PASSWD

    static final java.lang.String C_P_FW_PASSWD

See Also:
  Constant Field Values

### C_P_FW_SOC_ON

    static final java.lang.String C_P_FW_SOC_ON

See Also:
  Constant Field Values

### C_P_FW_SOC_VER

    static final java.lang.String C_P_FW_SOC_VER

See Also:
  Constant Field Values

### P_SCP_LDIR

    static final java.lang.String P_SCP_LDIR

See Also:
  Constant Field Values

### P_SCP_LFILE

    static final java.lang.String P_SCP_LFILE

See Also:
  Constant Field Values

### P_SYN_SYNC

    static final java.lang.String P_SYN_SYNC

See Also:
  Constant Field Values

### P_SCP_RDIR

    static final java.lang.String P_SCP_RDIR

See Also:
  Constant Field Values

### P_SCP_RFILE

    static final java.lang.String P_SCP_RFILE

See Also:
  Constant Field Values

### P_SCP_RECUR

    static final java.lang.String P_SCP_RECUR

See Also:
  Constant Field Values

### C_P_SCP_AUTH_TYPE

    static final java.lang.String C_P_SCP_AUTH_TYPE

See Also:
  Constant Field Values

### C_P_SCP_KEY_LOC

    static final java.lang.String C_P_SCP_KEY_LOC

See Also:
  Constant Field Values

### C_P_SCP_KEY_PASSWD

    static final java.lang.String C_P_SCP_KEY_PASSWD

See Also:
  Constant Field Values

### C_P_SCP_SVR_KEY_FILE

    static final java.lang.String C_P_SCP_SVR_KEY_FILE

See Also:
  Constant Field Values

### C_P_SCP_R_HOST

    static final java.lang.String C_P_SCP_R_HOST

See Also:
  Constant Field Values

### C_P_SCP_DO_KEY_VERIF

    static final java.lang.String C_P_SCP_DO_KEY_VERIF

See Also:
  Constant Field Values

### C_P_SCP_PREFERRED_KEY_ALG

    static final java.lang.String C_P_SCP_PREFERRED_KEY_ALG

See Also:
  Constant Field Values

### P_GEN_CONN_MODE

    static final java.lang.String P_GEN_CONN_MODE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD